#!/usr/bin/python3

import sys

def rot_alpha(n):
	from string import ascii_lowercase as lc, ascii_uppercase as uc
	lookup = str.maketrans(lc + uc, lc[n:] + lc[:n] + uc[n:] + uc[:n])
	return lambda s: s.translate(lookup)

if len(sys.argv) > 1:
	for i in range(26):
		print("rot", i, ":  ", rot_alpha(i)(sys.argv[1]))

#rot_alpha(13)('Hello World') # Uryyb Jbeyq
